local bullet_speed = 200
Bullet = class{function(self, damage, x,y, dx,dy)
	self.shape = HC.addBullet(x,y)
	self.shape.object = self
	HC.addToGroup('human', self.shape)
	HC.addToGroup('bullet', self.shape)

	self.velocity = vector(dx,dy) * bullet_speed
	self.damage = damage or .1

	Entities.register(self)
end}
make_collidable(Bullet)

function Bullet:remove()
	HC.remove(self.shape)
	Entities.remove(self)
end

function Bullet:update(dt)
	self.shape:move((self.velocity*dt):unpack())
end

function Bullet:draw()
	local x,y = self.shape:center()
	love.graphics.setColor(220,210,190)
	love.graphics.rectangle('fill', x-.5,y-.5, 1,1)
end
