local bullet_speed = 200
Bullet = class{function(self, x,y, dx,dy)
	self.shape = HC.addPoint(x,y)
	self.shape.object = self
	HC.addToGroup('human', self.shape)
	HC.addToGroup('bullet', self.shape)
	self.velocity = vector(dx,dy)

	Timer.add(2, function() 
		HC.remove(self.shape)
		Entities.remove(self)
	end)

	Entities.register(self)
end}
make_collidable(Bullet)

function Bullet:update(dt)
	self.shape:move((self.velocity*bullet_speed*dt):unpack())
end

function Bullet:draw()
	local x,y = self.shape:center()
	love.graphics.setColor(190,104,75)
	love.graphics.rectangle('fill', x-1,y-1, 2,2)
end
