local state = GS.new()

function state:enter(pre, won)
	self.pre = pre
	if won then
		function self.text()
			Glyphs.print('You survived!', 'center', 200, 60, .4)
			Glyphs.print('For now...', 'center', 300, 30, .5)
		end
	else
		function self.text()
			Glyphs.print('You achieved immortality!', 'center', 200, 40, .4)
			Glyphs.print('Sort of...', 'center', 300, 30, .5)
		end
	end

	self.alpha = 0
end

function state:draw()
	if self.pre ~= self then
		self.pre:draw()
	end
	love.graphics.setColor(0,0,0,self.alpha*255)
	love.graphics.rectangle('fill', 0,0, love.graphics.getWidth(), love.graphics.getHeight())
	love.graphics.setColor(255,255,255, self.alpha*255)
	self.text()
end

function state:update(dt)
	dt = dt / 2
	self.alpha = math.min(1, self.alpha + dt)
	if self.pre ~= self then
		self.pre:update(dt)
	end
end

return state
