Asset = class{function(self, x,y, img, foreground, rotation)
	self.pos = vector(x,y)
	self.img = img
	self.rotation = rotation or 0
	if type(self.img) ~= "userdata" then
		self.img = IMG[self.img..'.png']
	end
	Entities.register(self, foreground and foreground or 'background')
end}

function Asset:draw()
	love.graphics.setColor(255,255,255)
	love.graphics.draw(self.img, self.pos.x,self.pos.y, self.rotation, 1,1, self.img:getWidth()/2, self.img:getHeight()/2)
end

function Asset:update() end

Goal = class{function(self, x,y, next_level)
	self.level = next_level
	self.img = IMG['goal.png']
	self.w, self.h = 16, 24
	self.pos = vector(x,y)
	self.shape = HC.addRectangle(self.pos.x,self.pos.y,self.w,self.h)
	self.shape.object = self
	HC.addToGroup('goal', self.shape)

	Lights.add(x,y,100)
	Entities.register(self, 'background')
end}
make_collidable(Goal)

function Goal:draw() end
function Goal:update() end
