Obstacle = class{function(self, shape)
	self.shape = shape
	self.shape.object = self
	HC.addToGroup('obstacle', self.shape)
	Entities.register(self, 'background')
end}
make_collidable(Obstacle)

local function onCollide(self, other, dx,dy)
	other.shape:move(-dx,-dy)
	other.falling = other.falling and math.abs(dx / math.sqrt(dx*dx+dy*dy)) >= .6
end
local function onStopCollide(self, other)
	other.falling = true
end
Obstacle:register('human', onCollide, onStopCollide)
Obstacle:register('zombie', onCollide, onStopCollide)
Obstacle:register('bullet', function(_, bullet) bullet:remove() end)

function Obstacle:draw() end
function Obstacle:update(dt) end
